cURL
curl --request GET \
--url https://api.openformat.tech/v1/webhook/{id}/logs \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.openformat.tech/v1/webhook/{id}/logs"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.openformat.tech/v1/webhook/{id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"total": 1234,
"page": 2,
"page_size": 20,
"data": [
{
"webhook_id": 123,
"event": "transaction",
"idempotency_key": "a8eb78c3-2b45-4e9e-bf60-9296067fd593",
"url": "https://api.example.com/webhook",
"payload": "<any>",
"successful": true,
"response_code": 200,
"error_message": "ConnectionError",
"created_at": "2024-01-23 01:23:45.55338+00"
}
]
}
{
"success": false,
"error": {
"issues": [
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"id"
]
}
],
"name": "ZodError"
}
}
{
"status": "failed",
"error": "Webhook not found"
}
{
"status": "failed",
"error": "Database operation failed"
}
Webhook
Get Webhook Logs
Show all logs for a webhook
GET
/
webhook
/
{id}
/
logs
cURL
{
"status": "success",
"total": 1234,
"page": 2,
"page_size": 20,
"data": [
{
"webhook_id": 123,
"event": "transaction",
"idempotency_key": "a8eb78c3-2b45-4e9e-bf60-9296067fd593",
"url": "https://api.example.com/webhook",
"payload": "<any>",
"successful": true,
"response_code": 200,
"error_message": "ConnectionError",
"created_at": "2024-01-23 01:23:45.55338+00"
}
]
}
{
"success": false,
"error": {
"issues": [
{
"validation": "regex",
"code": "invalid_string",
"message": "Invalid",
"path": [
"id"
]
}
],
"name": "ZodError"
}
}
{
"status": "failed",
"error": "Webhook not found"
}
{
"status": "failed",
"error": "Database operation failed"
}
Authorizations
Path Parameters
Webhook id
Pattern:
^\d+$Example:
"123"
Query Parameters
Results page Page to return
Pattern:
^\d+$Example:
"1"
Page size
Pattern:
^\d+$Example:
"20"
Response
Webhook logs
⌘I